m_simpleTV.Control.SetBackground = m_simpleTV.Interface.SetBackground
m_simpleTV.Control.RestoreBackground = m_simpleTV.Interface.RestoreBackground
--------------------------------------------------------------
m_simpleTV.Control.SetNewAddress = function(addressP,positionP,timeshiftOffsetP,epgIdP)
 local param = {}
 param.address = addressP
 if positionP ~= nil then 
  param.position = positionP
 end  
 if timeshiftOffsetP ~= nil then 
  param.timeshiftOffset = timeshiftOffsetP
 end  
 if epgIdP ~= nil then 
  param.epgId = epgIdP
 end  
 m_simpleTV.Control.SetNewAddressT(param)
end
--------------------------------------------------------------
m_simpleTV.Control.PlayAddress = function(address,title,timeshiftOffset,epgId,insertInRecent)

if not address then return end
m_simpleTV.Control.PlayAddress_UTF8(  m_simpleTV.Common.multiByteToUTF8(address)
                                    ,m_simpleTV.Common.multiByteToUTF8(title or '')
                                    ,timeshiftOffset
                                    ,epgId
                                    ,insertInRecent)
end
--------------------------------------------------------------
m_simpleTV.Control.PlayAddress_UTF8 = function(addressP,titleP,timeshiftOffsetP,epgIdP,insertInRecentP)

 local t = {}
 t.address = addressP
 t.title   = titleP
 t.timeshiftOffset = timeshiftOffsetP
 t.epgId = epgIdP
 t.insertInRecent  = insertInRecentP
  
 m_simpleTV.Control.PlayAddressT(t)
end
--------------------------------------------------------------
setmetatable(m_simpleTV.Control,{
__index = function(t,k)
 if k == 'ChangeAdress' then
   return rawget(t,'ChangeAddress')
 elseif k == 'CurrentAdress' then
   return rawget(t,'CurrentAddress')
 elseif k == 'RealAdress' then
   return rawget(t,'RealAddress')
 else
   return nil
 end
end,
__newindex = function(t,k,v)
 if k == 'ChangeAdress' then
   rawset(t,'ChangeAddress',v)
 elseif k == 'CurrentAdress' then
   rawset(t,'CurrentAddress',v)
 elseif k == 'RealAdress' then
   rawset(t,'RealAddress',v)
 else
   rawset(t,k,v)
 end
end})